<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>Assignment #7</title>
</head>
<body>
<H1>Assignment #7</H1>





<B>Introductory C Programming
<br>
<br>
UW Experimental College
</B><br>
<br>
<B>Assignment #7
</B><p><B>Handouts:
</B></p><p><a href="PS7.html">Assignment #7</a>
<br><a href="PS6a.html">Assignment #6 Answers</a>
<br><a href="http://www.eskimo.com/~scs/cclass/notes/sx14.html">Class Notes, Chapter 14</a>
<p><B>Reading Assignment:
</B></p><p><a href="http://www.eskimo.com/~scs/cclass/notes/sx12.html">Class Notes, Chapters 12</a>
<a href="http://www.eskimo.com/~scs/cclass/notes/sx13.html">and 13</a>
<p><B>Review Questions:
</B></p><OL><li>What do we mean by the ``equivalence between arrays and pointers''
in C?
<li>If <TT>p</TT> is a pointer, what does <TT>p[i]</TT> mean?
<li>Can you think of a few reasons why an I/O scheme which did not
make you open a file and keep track of a ``file pointer,'' but instead
let you just mention the name of the file as you were reading
or writing it, might not work as well?
<li>If <TT>argc</TT> is 2, what is <TT>argv[1]</TT>?  What if <TT>argc</TT> is 1?
</OL><br>
<br>
<p><B>Exercises:
</B></p><OL><li>Rewrite the <TT>replace</TT> function from last week to remove the restriction
that the replacement substring have the same size.  Be sure to
test it on replacement strings which are larger, smaller, and
the same size.  Should it work if the replacement string is the
empty string?
<li>Rewrite the pattern matching program
(Assignment 6, Exercise 1)
to prompt the user for the name of the file to search in and
a pattern to search for.
<li>Rewrite the pattern matching program
(Assignment 6, Exercise 1)
to accept the pattern and file name from the command line
(like the Unix <TT>grep</TT> or MS-DOS <TT>find</TT> command).
</OL><hr>
<hr>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995-9
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
